=== debian/changelog ===
asterisk-testsuite (0.0.0+svn.5781-2) unstable; urgency=medium

  * Fix an arch-only build (Closes: #764907 properly).

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 27 Oct 2014 07:45:18 +0200

asterisk-testsuite (0.0.0+svn.5781-1) unstable; urgency=medium

  * New upstream release.
  * asttest is now a dummy package (Closes: #764905, #764906, #764907).

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 27 Oct 2014 00:26:56 +0200

asterisk-testsuite (0.0.0+svn.5539-1) unstable; urgency=low

  * Initial release. (Closes: #759150)

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 02 Sep 2014 09:42:24 -0700
