=== debian/control ===
Source: asterisk-testsuite
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 9~),
 liblua5.1-0-dev,
 lua5.1,
 pkg-config,
Standards-Version: 3.9.5
Homepage: https://wiki.asterisk.org/wiki/display/AST/Asterisk+Test+Suite+Documentation
Vcs-Git: git://anonscm.debian.org/pkg-voip/asterisk-testsuite.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/asterisk-testsuite.git

Package: asterisk-testsuite
Architecture: all
Depends: ${misc:Depends},
 asttest,
 python,
 python-yaml,
 sip-tester,
 python-starpy (>> 1.0.1),
Recommends: asterisk-dev, asterisk
Description: test suite for the Asterisk PBX
 The test suite for the Asterisk PBX software package. Developed as
 a separate package by its developers.
 .
 The package should normally be used for testing the system copy of
 Asterisk, but may be installed to test a locally-installed version.

Package: asttest
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: asterisk
Description: test runner for the Asterisk test suite - dummy package
 The test suite for the Asterisk PBX software package. Developed as
 a separate package by its developers.
 .
 This package includes asttest: a binary needed for running tests.
 .
 Only used for very few LUA tests and disabled for now.
