=== debian/rules ===
#!/usr/bin/make -f

# for asttest:
export PREFIX=/usr

PACKAGE=asterisk-testsuite
DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
SVNREV:=$(shell echo $(UPVERSION) | sed -e s/.*+svn\.//)

VER = 0.0.0
SVN = http://svn.digium.com/svn/testsuite/asterisk/trunk
VER_FULL = $(PACKAGE)-$(VER)+svn.$(SVNREV)

%:
	dh $@

target=$(CURDIR)/debian/asterisk-testsuite/usr/share/asterisk-testsuite
override_dh_install-indep:
	dh_install
	find $(target)/tests -name \*.py -executable | \
		while read file; do \
			if head -q -n1 $$file | egrep -q "^('''|\"\"\")"; then \
				chmod a-x $$file; \
			fi; \
		done
	find $(target)/tests/channels/SIP/rfc2833_dtmf_detect \
		-name \*.xml -exec chmod a-x \{\} \;

get-orig-source:
	@@dh_testdir
	@@echo Creating tarball from $(SVN) revision $(SVNREV) ...
	@@svn export -q -r$(SVNREV) $(SVN) $(VER_FULL)
	@@tar czf ../$(PACKAGE)_$(VER)~svn$(SVNREV).orig.tar.gz $(VER_FULL)
	@@rm -Rf $(VER_FULL)
